Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81901 - character limit on any line in /etc/group - not to exceed 860
Summary: character limit on any line in /etc/group - not to exceed 860
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 8.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-15 00:44 UTC by Rick Strider
Modified: 2016-11-24 14:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-10 23:09:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:089 high SHIPPED_LIVE : Updated glibc packages fix vulnerabilities in RPC XDR decoder 2003-04-10 04:00:00 UTC

Description Rick Strider 2003-01-15 00:44:49 UTC
Description of problem:
Whenever the total members of one group (including the group name and group 
id ) exceed 860 characters on that group line in /etc/group, the group fails.

For instance, group blah has several members. The character total for it's 
line is 858. Whenever a new user is added to that group, group functions no 
longer work. For instance, adding user "whatever" to group blah. Before you do 
this, groups admin reports correctly, the groupid on all the files from ls -l 
show up correctly, etc - but after adding user "whatever":

[root@web web]# groups whatever
id: cannot find name for group ID 567
[root@web web]#

Version-Release number of selected component (if applicable):
no idea what component controls /etc/passwd or /etc/group

How reproducible:
Very

Steps to Reproduce:
1. Add enough users to a group to total 850something characters on that 
group's line.
2. Add another user or couple users that would bring that total to 860 or 
above.

3. groups will cease to function properly for anyone in that group.
    
Actual results:


Expected results:
patch to fix the limitation

Additional info:

Comment 1 Arjan van de Ven 2003-01-15 09:58:50 UTC
the kernel never does anything with /etc/group

Comment 2 Jakub Jelinek 2003-01-15 10:05:32 UTC
This was fixed in rawhide glibcs.

Comment 3 Sergey D 2003-03-01 23:58:36 UTC
Great,

I've tried a RAWHIDe Glibc (glibc-2.3.1-51) and this fixed a problem with 
groups... But next I've discocvered that RPM no longer works!


I've spent ten hours to return the system backward to glibc shipped with RH 8.0.
It was a nighmare.

I'm just wondering,

1. If the problem is well know (first bug reports are opened in October 2002) 
why does NO ERRATA still available?
2. Jakub, the fact that problem was fixed in Rawhide do not cover RH 8.0 users, 
since it not always possible to use untested beta releases and sometime it is 
really dangerous to system stability.
3. In other reports for glibc/rpm functionality when upgarded from 8.0 to 
Rawhied I discovered that RPM from rawhide shold be updated prior to glibc 
update. And why then there're NO dependencies confgiured for that case in glibc 
packages??? Installing recent RAWHIDE glibc crashes RPM.



Comment 4 Sergey D 2003-03-02 00:01:01 UTC
And moreover I don't understand why the bug is CLOSED if no NORMAL solution is 
still available to fix the problem.

"Guys, use RAWHIDE glibc" is not the working solution since it breaks RPM and 
effect system stability.

Comment 5 Rick Strider 2003-03-03 23:50:29 UTC
now that my rpm is broken and the problem still not fixed, how can I fix rpm?

Comment 6 Sergey D 2003-03-04 06:51:39 UTC
Heh, good question. 
Personally, I've managed to fix the problem by downloading glibc packages that 
comes with 8.0, opened them in midnight commander (MC) and copied executables 
and libraries manually, overwriting RAWHIDE glibc ones.
Then, PRIOR to any reboot procedures, perform normal downgrade (rpm -Uhv --
oldpackage) of glibc packages. After you'll overwrite libraries (and 
executables?), rpm will function again and it is VERY IMPORTANT to perform 
normal downgrade using RPM to remove any inconsistencies.
After that, you can reboot and enjoy old glibc.

But anyway, I wonder why no ERRATA is still available for RH 8.0 glibc...

Comment 7 Jakub Jelinek 2003-04-10 23:09:17 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-089.html



Note You need to log in before you can comment on or make changes to this bug.